%define oname	mash

%define major		0
%define api		0.2
%define girmajor	0.2

%define libname	%mklibname %{oname} %{api} %{major}
%define devname	%mklibname -d %{oname}
%define girname	%mklibname %{oname}-gir %{girmajor}

Summary:	A library for using real 3D models within a Clutter scene
Name:		libmash
Version:	0.2.0
Release:	%mkrel 1
License:	LGPLv2+
Group:          System/Libraries
URL:		http://wiki.clutter-project.org/wiki/Mash
Source0:	http://source.clutter-project.org/sources/mash/0.2/mash-%{version}.tar.xz

# From Fedora:
# Already sent upstream for review,
# see http://lists.clutter-project.org/pipermail/clutter-devel-list/2011-March/000196.html
Patch0:		0001-Use-the-system-version-of-rply-if-available.patch
BuildRequires:	pkgconfig(glib-2.0) >= 2.16
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16
BuildRequires:	pkgconfig(clutter-1.0) >= 1.5.10
BuildRequires:	pkgconfig(mx-1.0) >= 1.1.0
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gtk-doc
BuildRequires:	rply-devel

# From Fedora:
# Do not BR: mx-devel, as the lighting example isn't actually installed

%description
Mash is a small library for using real 3D models within a Clutter
scene. Models can be exported from Blender or other 3D modeling
software as PLY files and then used as actors. It also supports a
lighting model with animatable lights.

%package -n %{libname}
Summary:	A library for using real 3D models within a Clutter scene
Group:		System/Libraries

%description -n %{libname}
Mash is a small library for using real 3D models within a Clutter
scene. Models can be exported from Blender or other 3D modeling
software as PLY files and then used as actors. It also supports a
lighting model with animatable lights.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Provides:	lib%{oname}-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d %{oname} 0.1} < 0.2.0

%description -n %{devname}
This package contains libraries and header files needed for
development of programs using %{name}.


%prep
%setup -q -n %{oname}-%{version}
%apply_patches

%build
autoreconf -ifv
%configure2_5x \
	--disable-silent-rules \
	--disable-static
%make_build

%install
%make_install

# we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib%{oname}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Mash-%{girmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/mash
%{_includedir}/%{oname}-%{api}
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_datadir}/gir-1.0/Mash-%{girmajor}.gir


%changelog
* Thu Feb 13 2021 tex - 0.2.0-1pclos2021
- create pkg
